function [result,predict_score] = predictVfib1(x_fv,tn)

    load 'vfibPredict_Model.mat'
    predict_score = [];
    test_s = 1;
    
    [num_seg,~] = size(x_fv);

    vfib_thresh = floor(0.65*num_seg);
    
    flat = 0;
    result = 0;

    if(tn==0)

        test_set = x_fv;

        [m_test,n_test] = size(test_set);
        test_f = m_test;
    else
        flat = 1;
    end

    if(~flat)
        test_len = test_f - test_s + 1;

        for i=1:1:n_test
            test_set(:,i) = (test_set(:,i) - mean_x(i))/(max_x(i) - min_x(i));
        end
        test_x = [ones(test_len,1) test_set];
        
        [svm_y,predict_score] = predict(svm_struct,test_x);
        pos = find(svm_y == 1);
        
        sum_y = sum(svm_y);
        result = 0;
        
        len_hconf = length(find(predict_score(pos,1) < -1.0));
        if(len_hconf >= (vfib_thresh))
            result = 1;
            
        end
        
    end
end